> For the complete documentation index, see [llms.txt](https://docs.fortics.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortics.com.br/chat-center-api-reference/reference/webchat.md).

# WebChat

## Inscrever push

> Processa a solicitação de inscrever push e retorna o resultado.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/push/subscribe":{"post":{"tags":["WebChat"],"summary":"Inscrever push","description":"Processa a solicitação de inscrever push e retorna o resultado.","operationId":"postV4WebchatPushSubscribe","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"},"description":"ID do canal WebChat."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Remover inscrição push

> Remove inscrição push identificado no caminho.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/push/subscribe/delete":{"post":{"tags":["WebChat"],"summary":"Remover inscrição push","description":"Remove inscrição push identificado no caminho.","operationId":"postV4WebchatPushUnsubscribe","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Manifest do canal

> Processa a solicitação de manifest do canal e retorna o resultado.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/manifest.json":{"get":{"tags":["WebChat"],"summary":"Manifest do canal","description":"Processa a solicitação de manifest do canal e retorna o resultado.","operationId":"getV4WebchatManifest","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Configuração do canal

> Processa a solicitação de configuração do canal e retorna o resultado.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/configuration":{"get":{"tags":["WebChat"],"summary":"Configuração do canal","description":"Processa a solicitação de configuração do canal e retorna o resultado.","operationId":"getV4WebchatConfiguration","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Verificar sessão existente

> Verifica sessão existente e retorna o estado atual.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/session-exists":{"get":{"tags":["WebChat"],"summary":"Verificar sessão existente","description":"Verifica sessão existente e retorna o estado atual.","operationId":"getV4WebchatSessionExists","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Listar mensagens do WebChat

> Retorna mensagens do WebChat conforme filtros enviados.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/messages":{"get":{"tags":["WebChat"],"summary":"Listar mensagens do WebChat","description":"Retorna mensagens do WebChat conforme filtros enviados.","operationId":"getV4WebchatMessages","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Criar sessão WebChat

> Cria sessão WebChat com os dados enviados.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/session-create":{"post":{"tags":["WebChat"],"summary":"Criar sessão WebChat","description":"Cria sessão WebChat com os dados enviados.","operationId":"postV4WebchatSessionCreate","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Finalizar sessão WebChat

> Finaliza sessão WebChat conforme a sessão informada.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/session-finish":{"post":{"tags":["WebChat"],"summary":"Finalizar sessão WebChat","description":"Finaliza sessão WebChat conforme a sessão informada.","operationId":"postV4WebchatSessionFinish","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Atualizar sessão WebChat

> Atualiza sessão WebChat conforme os dados enviados.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/session-update":{"patch":{"tags":["WebChat"],"summary":"Atualizar sessão WebChat","description":"Atualiza sessão WebChat conforme os dados enviados.","operationId":"patchV4WebchatSessionUpdate","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Reiniciar fluxo

> Reinicia fluxo no contexto do canal informado.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/flow-restart":{"post":{"tags":["WebChat"],"summary":"Reiniciar fluxo","description":"Reinicia fluxo no contexto do canal informado.","operationId":"postV4WebchatFlowRestart","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Auto iniciar fluxo

> Aciona o auto início de fluxo para o canal informado.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/flow-autoStart":{"post":{"tags":["WebChat"],"summary":"Auto iniciar fluxo","description":"Aciona o auto início de fluxo para o canal informado.","operationId":"postV4WebchatFlowAutoStart","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Finalizar fluxo

> Finaliza fluxo conforme a sessão informada.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/flow-finish":{"delete":{"tags":["WebChat"],"summary":"Finalizar fluxo","description":"Finaliza fluxo conforme a sessão informada.","operationId":"deleteV4WebchatFlowFinish","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```

## Encerrar simulador de fluxo

> Encerra simulador de fluxo conforme a sessão informada.

```json
{"openapi":"3.0.3","info":{"title":"API v4 - Fortics SZ4","version":"4.0"},"servers":[{"url":"/api","description":"Base da API"}],"paths":{"/v4/webchat/{channel}/simulator-finish":{"post":{"tags":["WebChat"],"summary":"Encerrar simulador de fluxo","description":"Encerra simulador de fluxo conforme a sessão informada.","operationId":"postV4WebchatSimulatorFinish","parameters":[{"in":"path","name":"channel","required":true,"schema":{"type":"string"}}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"responses":{"200":{"$ref":"#/components/responses/GenericSuccess"}}}}},"components":{"responses":{"GenericSuccess":{"description":"Sucesso.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericSuccessResponse"}}}}},"schemas":{"GenericSuccessResponse":{"type":"object","additionalProperties":true}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortics.com.br/chat-center-api-reference/reference/webchat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
